Package de.willuhn.jameica.hbci.rmi

# Interface SammelTransferBuchung

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Subinterfaces:
  `SammelLastBuchung`, `SammelUeberweisungBuchung`

All Known Implementing Classes:
  `AbstractSammelTransferBuchungImpl`, `SammelLastBuchungImpl`, `SammelUeberweisungBuchungImpl`

public interface SammelTransferBuchung extends Transfer, HibiscusDBObject
Interface fuer eine einzelne Buchung eines Sammel-Transfers.

## Method Summary

Modifier and Type
Method
Description
`SammelTransfer`
`getSammelTransfer()`
Liefert den zugeordneten Sammel-Transfer.
`String`
`getTextSchluessel()`
Liefert den Textschluessel der Buchung.
`String`
`getWarnung()`
Liefert eine ggf aufgetretene Warnung bei der Ausfuehrung.
`void`
`setBetrag(double betrag)`
Speichert den zu ueberweisenden Betrag.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setGegenkontoName(String name)`
Speichert den Namen des Kontoinhabers des Gegenkontos.
`void`
`setGegenkontoNummer(String kontonummer)`
Speichert die Kontonummer des Gegenkontos.
`void`
`setSammelTransfer(SammelTransfer s)`
Legt den zugehoerigen Sammel-Transfer fest.
`void`
`setTextSchluessel(String schluessel)`
Speichert den Textschluessel der Buchung.
`void`
`setWarnung(String warnung)`
Speichert eine ggf aufgetretene Warnung bei der Ausfuehrung.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck(String zweck)`
Speichert den Zweck der Ueberweisung.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getSammelTransfer

SammelTransfer getSammelTransfer() throws RemoteException
Liefert den zugeordneten Sammel-Transfer.

Returns:
  Sammel-Transfer.
Throws:
  `RemoteException`

### setSammelTransfer

void setSammelTransfer(SammelTransfer s) throws RemoteException
Legt den zugehoerigen Sammel-Transfer fest.

Parameters:
  `s` - Sammel-Transfer.
Throws:
  `RemoteException`

### setGegenkontoNummer

void setGegenkontoNummer(String kontonummer) throws RemoteException
Speichert die Kontonummer des Gegenkontos.

Parameters:
  `kontonummer` -
Throws:
  `RemoteException`

### setGegenkontoBLZ

void setGegenkontoBLZ(String blz) throws RemoteException
Speichert die BLZ des Gegenkontos.

Parameters:
  `blz` -
Throws:
  `RemoteException`

### setGegenkontoName

void setGegenkontoName(String name) throws RemoteException
Speichert den Namen des Kontoinhabers des Gegenkontos.

Parameters:
  `name` -
Throws:
  `RemoteException`

### setBetrag

void setBetrag(double betrag) throws RemoteException
Speichert den zu ueberweisenden Betrag.

Parameters:
  `betrag` - Betrag.
Throws:
  `RemoteException`

### setZweck

void setZweck(String zweck) throws RemoteException
Speichert den Zweck der Ueberweisung.

Parameters:
  `zweck` - Zweck der Ueberweisung.
Throws:
  `RemoteException`

### setZweck2

void setZweck2(String zweck2) throws RemoteException
Speichert Zeile 2 des Verwendungszwecks.

Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`

### getTextSchluessel

String getTextSchluessel() throws RemoteException
Liefert den Textschluessel der Buchung.

Returns:
  Textschluessel.
Throws:
  `RemoteException`

### setTextSchluessel

void setTextSchluessel(String schluessel) throws RemoteException
Speichert den Textschluessel der Buchung.

Parameters:
  `schluessel` - Textschluessel.
Throws:
  `RemoteException`

### setWeitereVerwendungszwecke

void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Speichert eine Liste erweiterter Verwendungszwecke.

Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`

### getWarnung

String getWarnung() throws RemoteException
Liefert eine ggf aufgetretene Warnung bei der Ausfuehrung.

Returns:
  eine ggf aufgetretene Warnung bei der Ausfuehrung.
Throws:
  `RemoteException`

### setWarnung

void setWarnung(String warnung) throws RemoteException
Speichert eine ggf aufgetretene Warnung bei der Ausfuehrung.

Parameters:
  `warnung` - eine ggf aufgetretene Warnung bei der Ausfuehrung.
Throws:
  `RemoteException`